Package org.apache.ignite.spi.discovery.zk

## Interface ZookeeperDiscoverySpiMBean

- All Superinterfaces:
    `DiscoverySpiMBean`, `IgniteSpiManagementMBean`

      @MXBeanDescription("MBean provide access to Zookeeper-based discovery SPI.")
      public interface ZookeeperDiscoverySpiMBean
      extends IgniteSpiManagementMBean, DiscoverySpiMBean

  Management bean for `ZookeeperDiscoverySpi`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getCommErrorProcNum()` | Gets number of communication resolver called.
    `long` | `getNodeOrder()` | Gets node join order.
    `String` | `getZkConnectionString()` | Gets connection string used to connect to ZooKeeper cluster.
    `String` | `getZkRootPath()` | Gets root path in ZooKeeper cluster Zk client uses to put data to.
    `String` | `getZkSessionId()` | Gets session id of Zk client established with ZooKeeper cluster.
    `long` | `getZkSessionTimeout()` | Gets session timeout used by Zk client of local Ignite node.

    - ### Methods inherited from interface org.apache.ignite.spi.discovery.DiscoverySpiMBean

      `excludeNode, getCoordinator, getCoordinatorNodeFormatted, getLocalNodeFormatted, getNodesFailed, getNodesJoined, getNodesLeft, getSpiState`

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

      `getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

- - ### Method Detail

    - #### getNodeOrder

          @MXBeanDescription("Node Join Order.")
          long getNodeOrder()

      Gets node join order.
      Returns:
        Node Join Order.

    - #### getZkConnectionString

          @MXBeanDescription("Zk Connection String.")
          String getZkConnectionString()

      Gets connection string used to connect to ZooKeeper cluster.
      Returns:
        Zk Connection String.

    - #### getZkSessionTimeout

          @MXBeanDescription("Zk Session Timeout (milliseconds).")
          long getZkSessionTimeout()

      Gets session timeout used by Zk client of local Ignite node.
      Returns:
        Zk Session Timeout.

    - #### getZkSessionId

          @MXBeanDescription("Zk Session Id.")
          String getZkSessionId()

      Gets session id of Zk client established with ZooKeeper cluster.
      Returns:
        Zk Session Id.

    - #### getCommErrorProcNum

          @MXBeanDescription("Communication error resolver call count.")
          long getCommErrorProcNum()

      Gets number of communication resolver called.
      Returns:
        Number of communication resolved oparations.

    - #### getZkRootPath

          @MXBeanDescription("Zk Root Path.")
          String getZkRootPath()

      Gets root path in ZooKeeper cluster Zk client uses to put data to.
      Returns:
        Zk Root Path.